Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

DAVE™ Forum Discussions

Not applicable
When I try to add any APP to an imported project I get the error message:
"DAVE is not able to grant your last hardware resources request"
How can I solve the Problem?
Thanks for your help!
0 Likes
6 Replies
Not applicable
HI,

The resource solver in DAVE checks if there are available resource in the project. It seems that the new APP that you have added consumes resources (e.g it could be a CCU slice, ADC channel), that is no longer enough or available in the device. Hence, you observe the pop-up message.

Can you to include a DIGITAL_IO APP. Normally, you should be able to add this. Try this and let me know what you observe. 🙂

If you cannot, there could really be some error in your setup. There is a new DAVE update announce on the forum, please also update your DAVE IDE.
https://www.infineonforums.com/threads/4131-May-17-2016-Patch-Release-of-DAVE%C2%99-Device-Descripti...

Regards.
Daryl
0 Likes
Not applicable
Hi Daryl,
thanks for your immediate replay.
I tryed DIGITAL_IO APP as you suggested, it comes up with the same error message!
Checking for updates seems to not work either: it stays in a Loop for some time, then it Comes up with the message that there are no updates found!
Hope on your help!
Kind regards
Verner
0 Likes
Not applicable
HI Verner,

Can you please try to create a new DAVE CE project with just adding a DIGITAL_IO APP.
You should be able to add the APP without any errors.

Can you try this?

In case, there is still an error, it could be that there is some corruption in your librarystore. In this case, you will need to reinstall your librarystore.
1. Goto: Help -> Install DAVE APP/Example/Device Library...
2. Dialog "Library Manager Wizard" opens; uncheck the Filters "Hide items that are already downloaded"
3. Select "Work With:" In the dropdown box "DAVE APPs Library Manager" to reinstall the APP library store again.

Regards,
Daryl
0 Likes
Not applicable
Hi Daryl,
after updating to the latest Versions of Dave + APPs now I can add other APP's!
However, I tryed to install a SPI MASTER, but on compiling there is an error message:
....
Building file: ../Dave/Generated/SPI_MASTER/spi_master.c'
In file included from ../Dave/Generated/SPI_MASTER/spi_master.c:99:0:
../Dave/Generated/SPI_MASTER/spi_master.h:109:2: error: #error "SPI_MASTER requires XMC Peripheral Library v2.1.6 or higher"
#error "SPI_MASTER requires XMC Peripheral Library v2.1.6 or higher"

My actual XMC Library is v2.1.4, I was not able to find anything newer!
Could you please advise how to proceed?
Thanks,
regards,
Verner
0 Likes
Not applicable
Hi Verner,

Can you please check your library store if the latest device pack for XMC lib has been added? You can find it in C:\Users\\Infineon\D_LibraryStore_4.1\DeviceFeatures\pack\2.1.14\Libraries\XMCLib\XMC4\src
The device pack version is 2.1.14.

If this is present, can you open any of the files to confirm the XMCLib that has been installed. The comments should write: It should write XMClib v2.1.6 - XMC Peripheral Driver Library

If any of them are not present, can you please reinstall your device description again. It seems that it is not updated properly. Please ensure a stable internet connection for the update.
1. Goto: Help -> Install DAVE APP/Example/Device Library...
2. Dialog "Library Manager Wizard" opens; uncheck the Filters "Hide items that are already downloaded"
3. Select "Work With:" In the dropdown box "DAVE APPs Library Manager" to reinstall the APP library store again.

Regards,
Daryl
0 Likes
User10076
Level 2
Level 2
Hi Daryl,

I'm having the same problem as vdel.

I added an SPI_MASTER (version 4.3.14) app to my project and after generating the code, I get the same error as vdel. (Dave/Generated/SPI_MASTER/subdir.mk:21: recipe for target 'Dave/Generated/SPI_MASTER/spi_master_conf.o' failed
../Dave/Generated/SPI_MASTER/spi_master.h:109:2: error: #error "SPI_MASTER requires XMC Peripheral Library v2.1.6 or higher")

I've updated everything in DAVE Apps Library Manager, I've checked in C:\Users\'username"\Infineon\D_LibraryStore ... and I have in xmc_spi.c
/**
* @file xmc_spi.c
* @date 2015-11-04
*
* @cond
*********************************************************************************************************************
* XMClib v2.1.6 - XMC Peripheral Driver Library
*

What else can I try to be able to add SPI_Master functionality to my project?

Thank you!
Petru S.
0 Likes